Subject: Re: [PATCH net-next 8/8] net/mlx5e: XDP TX xmit more

From: Jesper Dangaard Brouer <[email-masked]>
Date: Tue, 20 Sep 2016 11:26:49 +0200

On Tue, 20 Sep 2016 11:19:46 +0300
Tariq Toukan <[email-masked]> wrote:

> Hi Jesper,
> 
> On 20/09/2016 10:46 AM, Jesper Dangaard Brouer wrote:
> > On Mon, 19 Sep 2016 16:58:59 +0300
> > Tariq Toukan <[email-masked]> wrote:
> >  
> >> From: Saeed Mahameed <[email-masked]>
> >>
> >> Previously we rang XDP SQ doorbell on every forwarded XDP packet.
> >>
> >> Here we introduce a xmit more like mechanism that will queue up more
> >> than one packet into SQ (up to RX napi budget) w/o notifying the hardware.
> >>
> >> Once RX napi budget is consumed and we exit napi RX loop, we will
> >> flush (doorbell) all XDP looped packets in case there are such.  
> > I've already raised strong concerns with this approach on the RFC
> > patchset.  Of not really taking advantage of RX bulking.
> > Please do not ignore this!
>
> Sure. Your approach can fit with our plans to split the RX completion 
> poll loop into several stages.
> I will try it when we get there.
> 
> > If you can promise, that we/you will also try to other approach I'm
> > suggesting, then I'm fine with this patch.

I'll take the above as a promise that there are plans to work in the
direction I'm requesting. Thanks!

Acked-by: Jesper Dangaard Brouer <[email-masked]>

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer